//
// GameStart.cpp
//

#include "GameStart.h"
#include "WorldManager.h"
#include "LogManager.h"
#include "Hero.h"
#include "Saucer.h"

GameStart::GameStart(string message) : TextMessage (message) {
  setType("GameStart");
  LogManager &lm = LogManager::getInstance();
  lm.writeLog("Created GameStart Banner");
}

GameStart::~GameStart() {
  WorldManager &world_manager = WorldManager::getInstance();
  LogManager &lm = LogManager::getInstance();

  lm.writeLog("Destroying GameStart");

  Hero *p_hero = new Hero;
  pos.setX(7);
  pos.setY(world_manager.getBoundary().getVertical()/2);
  p_hero -> setPos( pos );


  for(int i = 0; i < 16; i++)
    {
      new Saucer;
    }
}
